엔진 제안과 엔진의 충돌
API는 이 문제가 발생하면 409 Conflict 응답을 반환합니다. 이 오류의 type 값은 https://lingo.dev/docs/api/errors/engine-suggestion-conflicts입니다. 모든 오류에 공통으로 적용되는 형식은 오류 및 상태 코드를 참고하세요.
이 엔진 제안을 적용할 수 없습니다. <detail>
필드#
본문에는 표준 멤버인 type, status, title, detail 외에 다음 필드가 포함됩니다. detail 텍스트는 이 필드들을 바탕으로 생성되므로, 클라이언트에서 자체 문구를 대신 표시할 수 있습니다.
| 필드 | 유형 |
|---|---|
id | string |
reason | GlossaryTermsTaken | GlossaryTermTranslationTaken | GlossaryTermsCreatedConcurrently | BrandVoiceVariationLocaleTaken |
예시#
json
{
"detail": "Cannot apply this engine suggestion. <detail>",
"id": "<id>",
"reason": {
"detail": "<detail>",
"instance": "<instance>",
"texts": [
"<texts>"
],
"type": "https://lingo.dev/docs/api/errors/glossary-terms-taken",
"status": 409,
"title": "Glossary terms taken"
},
"type": "https://lingo.dev/docs/api/errors/engine-suggestion-conflicts",
"status": 409,
"title": "Engine suggestion conflicts with engine"
}이 오류를 반환하는 엔드포인트#
POST /v2/engine-suggestions/{id}/apply